# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "escape-artist"
version = "0.5.8"
description = "A visualizer for terminal escape sequences"
homepage = "https://github.com/rgwood/escape-artist"
readme = "README.md"
license = "MIT"
repository = "https://github.com/rgwood/escape-artist"

[profile.release]
opt-level = "z"
lto = true
panic = "abort"

[dependencies.anyhow]
version = "1.0.70"

[dependencies.axum]
version = "0.6.12"
features = [
    "macros",
    "ws",
]

[dependencies.clap]
version = "4.2.1"
features = ["derive"]

[dependencies.crossterm]
version = "0.26.1"

[dependencies.itertools]
version = "0.10.5"

[dependencies.mime_guess]
version = "2.0.4"

[dependencies.open]
version = "4.0.2"

[dependencies.portable-pty]
version = "0.8.1"

[dependencies.rand]
version = "0.8.5"

[dependencies.rust-embed]
version = "6.6.1"
features = ["axum-ex"]

[dependencies.serde]
version = "1.0.159"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.95"

[dependencies.signal-hook]
version = "0.3.15"

[dependencies.tokio]
version = "1.27.0"
features = ["full"]

[dependencies.vte]
version = "0.11.0"

[dev-dependencies.insta]
version = "1.29.0"
features = ["yaml"]

[dev-dependencies.serde_yaml]
version = "0.9"
